Subject: Re: [PATCH RFC net-next] net: remove HIPPI support and RoadRunner HIPPI driver

From: Simon Horman <[email-masked]>
Date: Fri, 9 Jan 2026 18:12:05 +0000

On Tue, Jan 06, 2026 at 11:26:23PM -0800, Ethan Nelson-Moore wrote:
> HIPPI has not been relevant for over two decades. It was rapidly
> eclipsed by Fibre Channel, and even when it was new, it was
> confined to very high-end hardware. The HIPPI code has only
> received tree-wide changes and fixes by inspection in the entire
> Git history. Remove HIPPI support and the rrunner HIPPI driver,
> and move the former maintainer to the CREDITS file. Keep the
> include/uapi/linux/if_hippi.h header because it is used by the TUN
> code, and to avoid breaking userspace, however unlikely that may be.
> 
> Signed-off-by: Ethan Nelson-Moore <[email-masked]>

I like the idea of removing unused code, so +1 from my side.

But, as noted for another of your recent patches,
please use ./scripts/get_maintainer.pl this.patch to
fill out the CC list.

...